NEWS - DVD ReBuilder
Author: JDOBBS

---------------- December 15th, 2006 -------------------
Released Freeware Edition v0.98.2.  This package includes
several improvements to the authoring engine, better
handling of HC Encoder, and bugfixes.

---------------- December 2nd, 2006 -------------------
Released Professional Edition v1.20.4.  NEW!  Now you
can use DVD-RB to create MOBILE video output.  This new 
capability is included in the DVD-RB Pro Plus package
that can create video for your Video iPod, PSP, and other 
file types (like H264 and XviD).  Also new is an ability 
to selectively apply filters to features, extras, 
interlaced, and progressive sources.  Other updates 
include added procedures to recognize and more accurately
filter out some corrupt sources and updated sizing to 
better account for sources with large numbers of small 
segments as well as other small improvements and bug 
fixes.

---------------- November 6th, 2006 -------------------
Released Professional Edition v1.12.1.  This package
includes updates to the latest HC Encoder, improvements
in audio detection and removal, and better OPV support. 
It also includes several bug fixes.  The v1.12.1 update
to v1.12.0 corrects an issue related audio retention.

---------------- October 24th, 2006 -------------------
Released Freeware Edition v0.98.1.  This package includes
several processing improvements and bugfixes.

---------------- October 20th, 2006 -------------------
Released Professional Edition v1.11.0.  This package
includes several improvements to the authoring engine. It
also includes drag & drop for batch and several bug
fixes.

---------------- October 6th, 2006 -------------------
Released Professional Edition v1.10.9.  Important bugfix
related to "Corrupt Stream Detected" message.  Several 
improvements related to sizing.  Several significant bug 
fixes.  Corrected an error that can occur when saving CCE 
SP2 files using the new Viewer/Editor.

---------------- September 28th, 2006 -------------------
Released Freeware Edition v0.98.  Now supports direct write
to disc on systems that have ImgBurn installed. Numerous 
improvements and bugfixes.  Recognizes unreferenced VTSs and 
reallocates that space to the feature.  Updated installer
for current releases of HC and QuEnc.

---------------- September 26th, 2006 -------------------
Released Professional Edition v1.10.8.  Improvements in
sizing and handling of unreferenced cells.  Several bug
fixes.  Updated code for the beta Viewer/Editor.

---------------- September 12th, 2006 -------------------
Released Professional Edition v1.10.7.  Several bugfixes 
for the beta Viewer/Editor and beta SP2 support.  Other 
updates included also.

---------------- September 7th, 2006 -------------------
Released Professional Edition v1.10.6.  Add support for
multiple instances of AutoQmatEnc.  Also addes beta test
of support for CCE SP2.  Adds features and improves the
new Viewer/Editor.

---------------- August 23rd, 2006 -------------------
Released Professional Edition v1.10.5.  Bug fixes.

---------------- August 21st, 2006 -------------------
Released Professional Edition v1.10.4.  New support for
the newest version of ImgBurn.  DVD-RB can now use it to
write directly to disc.  Added routines to examine and 
removes unreferenced material at the segment level. Added
a link under the HELP menu:  "Check for New Version" will
now point to a download page.  Updated menu processing and
corrected several minor bugs.

---------------- August 11th, 2006 -------------------
Released Professional Edition v1.10.3.  Updated installer
to include AVISYNTH v2.5.6.  Several bug fixes and some
improvements in detection and processing of problems in
source files.  ILVU improvements and bug fixes.

---------------- July 3rd, 2006 -------------------
Released Professional Edition v1.10.2.  Corrected errors
associated with the beta viewer/editor.  Fixed problems
in execution of "Movie and Menus Only" mode.

---------------- July 1st, 2006 -------------------
Released Professional Edition v1.10.  Major improvements
in the Segment Viewer/Editor -- easier to use and much
more responsive.  Future improvements in the works.
Several important bugfixes.  All reported bugs on menu
reencoding have now been corrected.

---------------- April 30th, 2006 -------------------
Released Professional Edition v1.09.3.  Added support
for AutoQMATEnc -- a freeware encoder that incorporates
automatic quantization matrix analysis and in use. Added
HC v.18 to the installation package.  Many bug fixes and
processing improvements.

---------------- March 27th, 2006 -------------------
Released Professional Edition v1.09.2.  This release
includes several bug fixes -- most related to the new
closed captioning code.

---------------- March 19th, 2006 -------------------
Released Freeware v0.97.  Several bugfixes. All of you 
freeware users please check out http://www.jdobbs.net 
to see the features that are available in the 
Professional Edition!  You can improve your DVD backup 
quality!

---------------- March 18th, 2006 -------------------
Released Professional Edition v1.09.  Added support for
Closed Captions.  Also improved sizing in "no compression"
applications.  Several bug fixes.
 
---------------- February 21st, 2006 -------------------
Released Professional Edition v1.08.1.  New features 
include the ability to force no compression on segments 
and autosensing of savings to determine whether to keep 
intact source video.  Improved sizing calculations and 
several bug fixes included.

---------------- February 12th, 2006 -------------------
Released Professional Edition v1.07.2   Bug fixes.

---------------- February 9th, 2006 -------------------
Released Professional Edition v1.07.1  Includes two
important updates to v1.07.

---------------- February 6th, 2006 -------------------
Released Professional Edition v1.07  Added MENU ENCODING
to the many other capabilities!!!  Also -- added multiple
encoder instances -- to take advantage of hyperthreaded
and dual core systems.  Updated HC encoder to v0.17 and
made some minor bug fixes.

---------------- January 26th, 2006 -------------------
Released Professional Edition v1.06.1.  Enhanced REBUILD
processing to include support for field based picture 
structures.  Several minor bug fixes.

---------------- January 16th, 2006 -------------------
Released Professional Edition v1.06.  Includes support for
DGDECODE v1.4.5.  Adds improved key registration.  Includes
several minor bug fixes.

---------------- December 30th, 2005 -------------------
Released Professional Edition v1.05.2. Bug fixes, update
(again) for HC Encoder.

---------------- December 18th, 2005 -------------------
Released Professional Edition v1.05.1.  Bug fixes. Also
includes updates for HC Encoder (v0.16.1) and for the
ReJig Transcoder (v0.5f).

---------------- December 14th, 2005 -------------------
Released Professional Edition v1.05.  Added "Template"
feature.  Bug fixes.  Updated keying mechanism, now the
key download is automatic.

---------------- November 28th, 2005 -------------------
Released Professional Edition v1.04.  Several optimizations
and improvements are included.  Some bug fixes, and updates
to the installation package.

---------------- November 8th, 2005 -------------------
Released Professional Edition v1.03.  Improved algorithm
for OPV size prediction.  Added an option to remove ISO
files automatically.  Several bug fixes.

---------------- November 4th, 2005 -------------------
Released freeware version 0.96.  Bug fixes and inclusion
of improved mechanisms for some calculation functions.
All of you freeware users check out http://www.jdobbs.net 
to see the features that are available in the Professional 
Edition!  You can improve your DVD backup quality!

---------------- October 29th, 2005 -------------------
Released Version 1.02.  Started adding in features that
are promised for version 1.10.  Added Audio remapping
for audio streams, "Dynamic Peak Analysis", and selectable
quality settings for ProCoder. Also included several 
important bug fixes.

---------------- October 8th, 2005 -------------------
Released Final Version 1.01.  Cleared up known bugs and
removed debugging code.  My special thanks to all the 
beta testers for helping finalize this product.  I have
a fairly substantial list of requested features that I
will now review and decide what should be a part of the
next scheduled minor (v1.10) release.

---------------- September 28th, 2005 -------------------
Released freeware version 0.95.  This version includes
bugfixes.  Please note that the Final Release of v1.00 of
the Professional Edition is completed and is in testing.
The $10 lifetime upgrade will soon end and be replaced by
the $29.95 cost for the final package.  This is the last 
chance folks.

---------------- September 16th, 2005 -------------------
Released Pro Edition  v1.00 RC6.  As the bug reports have
diminished, barring something unforeseen this is the last
Release Candidate.  I expect to remove the remaining 
debugging code and distribute v1.00 Final soon.

---------------- August 29th, 2005 -------------------
Released freeware version 0.94.  This version brings
the freeware version up-to-date on all bugfixes.  This
is very likely the last freeware beta release.  The
next freeware release should be v1.00 -- note that it
does not, nor will it ever include the extended 
features present in the Professional Edition.  The Pro
Edition's next release will be the "Final" -- and the
"Charter VIP Member" $10 one-time-good-deal will end.

---------------- August 17th, 2005 -------------------
Distributed Pro Edition v1.00 RC5.1.  Bugfixes.

---------------- August 15th, 2005 -------------------
Distributed Pro Edition v1.00 RC5. Additional bug fixes 
related to ILVU processing were made.

---------------- August 8th, 2005 -------------------
Distributed Pro Edition v1.00 RC4.1.  Several bugfixes.

---------------- August 1st, 2005 -------------------
MAJOR UPDATE.  Distributed Pro Edition Version 1.00 RC4.  
Finally isolated what I think are the final few bugs 
in ILVU encoding. This version will hopefully be the 
last RC. It is intended to be used so that testing can 
be done against reported bugs from RC3 -- all of which 
should have been addressed.

---------------- July 28th, 2005 -------------------
Distributed Release Candidate 3.  The ILVU code has
been greatly improved.  Bug fixes reported have been
corrected.

---------------- July 8th, 2005 -------------------
Release candidate 2 was sent to all VIPs today.  This
release includes fixes for several bugs that were
pointed out by the beta testers.  Thanks folks!


---------------- July 2nd, 2005 -------------------
It's happening!  The first release candidate of DVD
Rebuilder v1.00 was released today.  What's news?
For one thing, the new interface originally designed
by Teck has been implemented -- and a Rockas version
is implemented too!  There's plenty under the hood
also -- a big one is ILVU encoding -- not those huge
ILVU jobs can be reduced as well.  Plenty of bugfixes
and improvements added on as well.  Enjoy!!


---------------- June 3rd, 2005 -------------------
Wow!  Lot's happening in the DVD-RB world.  The beta
testing is just about complete and Version 1.00 is
on the verge of release.  Rebuilder Professional 1.00
will sport an exciting new easy-to-use interface and 
provides many features that will never make it to the
freeware version.  Here are a few:

    - Video Segment Editing
    - Movie and Menus Only capability
    - Segment Blanking
    - Slideshow Mode
    - Advanced Encoding Features
    - Movie-Only mode
    - One pass encoding support for HC encoder
    - Graphic Analysis display
    - ISO file creation
    - Automatic ISO burning using DVD Decrypter
    - ... and more...

The special beta test one-time-good-deal is about to
come to an end.  If you contribute a minimum donation
of $10 before v1.00 is officially released you get
lifetime update rights to the product -- and avoid the
$29.95 list price!  Act now!  This is very likely the 
last news notice before v1.00 is released!

---------------- May 23rd, 2005 -------------------
DVD Rebuilder Professional v0.93 was released today.
Some existing options were added -- including the
ability to create and burn ISO images!  A couple of
important bugfixes were completed -- and (FINALLY)
now the Professional version is availabe packaged in
the Rockas Installer!!!  This should save everyone
much time and trouble with installation and setup.


---------------- May 20th, 2005 -------------------
Released version 0.91 Freeware. Also, the continued
enhancements to the Professional Edition just keep 
coming.  Multiple angles are now supported in Movie
Only encodes, and coming soon are ISO image creation
and selection of iDCT options.  The opportunity to
get in as a charter VIP member for a minimum $10.00 
donation is coming to a close very soon.  Get in on
the deal while you can!  It get's you on the list for
Professional Edition v1.00 and future upgrades!

---------------- May 10th, 2005 -------------------
Version 1.00 is very close and is expected to be
released sometime this month.  Immediately upon
upgrade to v1.00, the Pro Version will no longer be 
"donation" driven but will start selling for $29.95.
So if you want to get in on the special deal for 
helping out development you only have a week or two 
left.  After that -- the price gets fixed.  The Pro
difference in capability between freeware and the 
Pro version has gotten significant and continues to
grow.

---------------- May 3rd, 2005 -------------------
Several bug fixes and a lot of improvements "under the 
hood."  Improved compatibility with DVD Decrypter's 
"Remove Structure Protection" option.  Improved sizing 
and prediction included for HC and CCE OPV encodes.

---------------- April 23rd, 2005 -------------------
Wow.  Big things happening.  Today the Pro release of
DVD-RB added a new feature.  The new Movie-Only mode
removes all extraneous material and reauthors into a
DVD that holds nothing but the movie.  The quality
doesn't get any better than this.  More??? You bet.
I've added support for Hank315's newest version of
HC encoder (v014).  You'll be amazed at the quality
you will be able to get using one pass VBR encoding
with prediction.  Hank315's HC and DVD-RB make a 
winning combination!  Just a couple more updates and
version 1.00 will be on the street.

---------------- April 16th, 2005 -------------------
Released v0.85 Pro.  With the help of Hank315, added 
another major feature to the Pro Edition's HC encoder 
support.  It can now do predictive one pass VBR (OPV)
encoding with much better granularity.  This mode can
save you a lot of time and still deliver high quality.
Lots of minor bug fixes bite the dust, and extra code
has been added to catch and correct errors that might 
occur with the new CCE versions.  Version 1.00 draws
nearer.

---------------- April 11th, 2005 -------------------
Released v0.83 Pro on the 10th.  Features are being
added in every new version that will never make it to
the freeware.  Check out the link in the last news
message and see what you might be missing!  Continued 
the path toward cleaning up any lingering bugs.  Fixed 
several nagging problems in this version.  Version 1.00 
release is coming along nicely and the time for getting 
into the VIP group at the low beta development donation 
price is shortening... 

---------------- April 2nd, 2005 -------------------
MAJOR UPGRADE!!  DVD-RB Pro Edition v0.81 has been packed
with numerous enhancements.  Now you'll see what I've been
working on. A new Segment Viewer/Editor has been added that
allows you to look at all the individual segment and edit
them following PREPARE.  That's not all, you can now modify
the DVD Content and improve feature quality by "Blanking" 
annoying advertisement or preview segments.  You can also 
convert a segment to a SLIDESHOW, saving 80% of its video
space for the feature.  And there's lots more on the way!
Read about it at:

		http://info.dvd-rb.com

Also note that starting with Freeware v0.80 I am including
the preferred DGDECODE.DLL file for compatibility with 
DVD-RB.  This should help avoid confusion related to new
releases of DGDECODE.  I recommend you install it in the
DVD-RB directory and point to it under the DECODE path of
the DVD-RB SETUP screen.  DGDECODE is distributed under the
GNU GPL, read the file DGDECODE.HTML for more info.

---------------- March 23rd, 2005 -------------------
Released Pro Version 0.80 and it keeps getting better. This
version concentrates on bugfixes and continued support for
the HC encoder.  In fact I'm including a copy for those who
would like to give it a try.  Just install it in the same
folder as DVD-RB.

---------------- March 16th, 2005 -------------------
In keeping with my promise I am continuing to add capability
to the Pro Version.  Some new Pro features include custom
matrices to optimize encoding quality.  You can select a
different matrix to be used when bitrates drop to certain
levels -- and another to be applied to Extras.  I've also
added the ability to set the dc bit precision and GOP size.
More features are coming... and the bugs are getting fewer
and fewer.  My sincere thanks to all the beta testers.

---------------- March 12th, 2005 -------------------

Well, as was promised new features have started being added
to the Pro Version.  Support for using batch files with
RB-Opt, Adding direct HC encoder support, and the beginnings
of an Constant Quantization one pass mode for QuEnc is now
available.

---------------- February 19th, 2005 -------------------

DVD Rebuilder is coming along well through beta development
and I am getting closer to release of Version 1.00.  Just to
clear up any lingering questions I thought I'd update you on
where the program is going.

Starting with v0.78 there will be two paths started for 
DVD-RB. First, to put everyone's mind a ease, I am committed 
to providing a freeware version of DVD-RB and it will always 
be kept current in terms of bug fixes.  So the features you 
have today will continue to be available in an updated bug-
free nature for as long as DVD-RB exists.  I may also add 
some more basic features that I think should be in the
freeware version because they are fundamental.

But as many of you know I am also planning to add many 
additional features to DVD-RB that will be released in a
"Professional Edition."   DVD-RB Pro will never be released
as a freeware package.  Sorry, I tried, but it has gotten to
a point at which the time I'm investing in the package is just
too great without some return on investment.  I still want to
reach as large an audience as possible, however, so I will try 
to keep the cost as low as I can.

VIPs?  People who have donated either their money, time, or 
expertise?  What about me, you ask?  Don't worry.  I never 
forget those who were there to help during development.  At 
the time v1.00 Pro gets released, anyone in good standing on 
the VIP list who donated $10 or more will automatically be 
updated with any Pro releases, no matter what price I put on 
the program. That's not just for one version, but for the 
entire life of the product.  People who help a struggling 
(software) artist through development deserve to be 
remembered.

My thanks to all the beta testers.

Sincerely,
jdobbs


